<id>
Advanced E-Mail Notification Mod for YaBB 2.2.1
</id>

<author>
Modwriter Thomas Mller (ThM)
Code Modification for YaBB 2.2.1 by Detlef Pilzecker (deti)
Special Thanks to Boris Tujanov (MF-B) for Help and Support Version 0.4 for YaBB 2.1
</author>

<homepage>
http://www.toptools4you.de/cgi-bin/yabb2/YaBB.pl
</homepage>

<version>
0.5 Beta for YaBB 2.2.1 - 18.03.2008
0.4 BETA for YaBB 2.1 Last Update - 29.01.2007
0.1 and 0.2 Beta for YaBB 2.1 by Self Testing
</version>

<mod info>
Features:

This Mod send advanced Information in your New Message/New Thread Notification Mail.
Features:

- Message in Mail
- Changes in Mail Format (Add German and English Language Strings)  


Installation:

Use BoardMod or manually edit files.
Upload:

- Sources/Post.pl (ASCII)
- Languages/English/Email.lng (ASCII)
- Admin/ModList.pl (ASCII)
</mod info>



<edit file>
Sources/Post.pl
</edit file>


<search for>
sub NewNotify {
	my(@languages, $actlang);
	my $thisthread = $_[0];
	my $thissubject = $_[1];
</search for>

<add after>
	my $thismessage = $message;
	$thismessage =~ s/ &nbsp; &nbsp; &nbsp;/\t/g;
	$thismessage =~ s~\[b\](.*?)\[/b\]~*$1*~ig;
	$thismessage =~ s~\[i\](.*?)\[/i\]~/$1/~ig;
	$thismessage =~ s~\[u\](.*?)\[/u\]~_$1_~ig;
	$thismessage =~ s/\[.*?\]//g;
	$thismessage =~ s/<(br|p).*?>/\n/ig;
	$thismessage =~ s/<.*?>//g;
	FromHTML($thismessage);
</add after>


<search for>
			my $message = &template_email($notifystrings{$curlang}{'boardnewtopicnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread});
</search for>

<replace>
			my $message = &template_email($notifystrings{$curlang}{'boardnewtopicnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread, 'tmessage' => $thismessage});
</replace>


<search for>
sub ReplyNotify {
	my $thisthread = $_[0];
	my $thissubject = $_[1];
	my $page = qq~$_[2]#$_[2]~;
</search for>

<add after>
	my $thismessage = $message;
	$thismessage =~ s/ &nbsp; &nbsp; &nbsp;/\t/g;
	$thismessage =~ s~\[b\](.*?)\[/b\]~*$1*~ig;
	$thismessage =~ s~\[i\](.*?)\[/i\]~/$1/~ig;
	$thismessage =~ s~\[u\](.*?)\[/u\]~_$1_~ig;
	$thismessage =~ s/\[.*?\]//g;
	$thismessage =~ s/<(br|p).*?>/\n/ig;
	$thismessage =~ s/<.*?>//g;
	FromHTML($thismessage);
</add after>


<search for>
				my $message = &template_email($notifystrings{$curlang}{'boardnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread, 'start' => $page});
</search for>

<replace>
				my $message = &template_email($notifystrings{$curlang}{'boardnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread, 'start' => $page, 'tmessage' => $thismessage});
</replace>


<search for>
				my $message = &template_email($notifystrings{$curlang}{'topicnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread, 'start' => $page});
</search for>

<replace>
				my $message = &template_email($notifystrings{$curlang}{'topicnotificationemail'}, {'subject' => $thissubject, 'num' => $thisthread, 'start' => $page, 'tmessage' => $thismessage});
</replace>


<edit file>
Languages/English/Email.lng
</edit file>


<search for>
# Topic/PM-related
'sender', "The sender of the PM.",
'num', "The number of the Topic (for URL purposes)",
'start', "The number of the Message in the Topic (for URL purposes)",
</search for>

<add after>
'tmessage', "Text of the new Topic",
</add after>


<search for>
$yabbtags{'boardnewtopicnotificationemail'} = qq~num subject~;
</search for>

<replace>
$yabbtags{'boardnewtopicnotificationemail'} = qq~num subject tmessage~; 
</replace>

<search for>
$boardnewtopicnotificationemail = qq~A new topic, "{yabb subject}", has been posted to a board you are watching.

View it at {yabb scripturl}?num={yabb num}

Regards,
The {yabb mbname} team~;
</search for>

<replace>
$boardnewtopicnotificationemail = qq~A new topic, "{yabb subject}", has been posted to a board you are watching.

########################################

{yabb tmessage}

########################################

View it at {yabb scripturl}?num={yabb num}

Regards,
The {yabb mbname} team~;
</replace>

<search for>
$yabbtags{'boardnotificationemail'} = qq~num start subject~;
</search for>

<replace>
$yabbtags{'boardnotificationemail'} = qq~num start subject tmessage~;
</replace>

<search for>
$boardnotificationemail = qq~A reply, "{yabb subject}", has been posted to a board you are watching.

View it at {yabb scripturl}?num={yabb num}/{yabb start}

Regards,
The {yabb mbname} team~;
</search for>

<replace>
$boardnotificationemail = qq~A reply, "{yabb subject}", has been posted to a board you are watching.

########################################

{yabb tmessage}

########################################

View it at {yabb scripturl}?num={yabb num}/{yabb start}

Regards,
The {yabb mbname} team~;
</replace>

<search for>
$yabbtags{'topicnotificationemail'} = qq~num subject start~;
</search for>

<replace>
$yabbtags{'topicnotificationemail'} = qq~num subject start tmessage~;
</replace>

<search for>
$topicnotificationemail = qq~A reply, "{yabb subject}", has been posted to a topic you are watching.

View it at {yabb scripturl}?num={yabb num}/{yabb start}

No more notifications will be sent until you visit the topic again.

Regards,
The {yabb mbname} team~;
</search for>

<replace>
$topicnotificationemail = qq~A reply, "{yabb subject}", has been posted to a topic you are watching.

########################################

{yabb tmessage}

########################################

View it at {yabb scripturl}?num={yabb num}/{yabb start}

No more notifications will be sent until you visit the topic again.

Regards,
The {yabb mbname} team~;
</replace>


<edit file>
Admin/ModList.pl
</edit file>


<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
	$mailnotify = "Advanced Mail Notify|Detlef Pilzecker (deti) and Thomas Mueller (<a href=\"http://www.pagepeel4u.de\" target=\"_blank\">ThM</a>)|This Mod send advanced Information in your New Message/New Thread Notification Mail.|0.5|18/03/08";
	push (@installed_mods, "$mailnotify");
</add before>
